#### D.2.3.19 timeStd

Procedure from library `general.lib` (see general_lib).

Usage:
  timeStd(i,d), i ideal, d integer

Return:
  std(i) if the standard basis computation finished after d-1 seconds and i otherwise

Example:

    LIB "general.lib";
    ring r=32003,(a,b,c,d,e),dp;
    int n=7;
    ideal i=
    a^n-b^n,
    b^n-c^n,
    c^n-d^n,
    d^n-e^n,
    a^(n-1)*b+b^(n-1)*c+c^(n-1)*d+d^(n-1)*e+e^(n-1)*a;
    def i1=timeStd(i,1);
    def i2=timeStd(i,20);
    listvar();
    ==> // n                              [0]  int 7
    ==> // r                              [0]  *ring
    ==> //      i2                             [0]  ideal (SB), 746 generator(s)
    ==> //      i1                             [0]  ideal, 5 generator(s)
    ==> //      i                              [0]  ideal, 5 generator(s)

User manual for Singular version 4.4.1, 2025, generated by texi2html.